<?php

require_once 'civi3cx.civix.php';
// phpcs:disable
use CRM_Civi3cx_ExtensionUtil as E;
// phpcs:enable

/**
 * Implements hook_civicrm_config().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_config/
 */
function civi3cx_civicrm_config(&$config) {
  _civi3cx_civix_civicrm_config($config);
}

/**
 * Implements hook_civicrm_install().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_install
 */
function civi3cx_civicrm_install() {
  _civi3cx_civix_civicrm_install();
}

/**
 * Implements hook_civicrm_enable().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_enable
 */
function civi3cx_civicrm_enable() {
  _civi3cx_civix_civicrm_enable();
}

/**
 * Implements hook_civicrm_navigationMenu().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_navigationMenu
 */
function civi3cx_civicrm_navigationMenu(&$menu) {
  _civi3cx_civix_insert_navigation_menu($menu, 'Administer/System Settings', [
    'label' => E::ts('3CX'),
    'name' => 'civi3cx_settings',
    'url' => 'civicrm/admin/setting/3cx',
    'permission' => 'administer CiviCRM',
    'operator' => 'OR',
    'separator' => 0,
  ]);
  _civi3cx_civix_navigationMenu($menu);
}
